GET /api/v3/bill/{billId}/billaccountmeter/calendarized

Retrieves calendarized bill account meter records for a specific bill

GetBillAccountMeterCalendarizedByBillIdV3 Permissions: BillsAndBatches (View)
Use this endpoint to get calendarized (prorated to calendar months) cost and usage data for a single bill. Returns an empty list if bill account meter records have not yet been calculated for this bill.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId Unique numeric identifier of the bill integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BillAccountMeterResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode The account code (unique identifier assigned by the organization) string
accountId The unique identifier of the account integer (int32)
accountInfo The account description/name string
active Whether the account is currently active. Null if not applicable. boolean
hasCalculatedMeter Whether the account has a child calculated meter boolean
hasSplitChildMeter Whether the account has a child split meter boolean
hasSplitParentMeter Whether the account is a recipient of a meter split boolean
hasSubAccount Whether this account has sub-accounts beneath it boolean
isSubAccount Whether this account is a sub-account of a summary account boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
beginDate The bill’s begin date string (date-time)
billId The bill identifier integer (int32)
billingPeriod The bill’s billing period integer (int32)
commonActualDemand Common actual demand number (double)
commonActualDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonBilledDemand Common billed demand number (double)
commonBilledDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonDemand Common demand number (double)
commonDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonUse Common use number (double)
commonUsePerDay Common use per day number (double)
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
days The number of days the bill covers integer (int32)
directCost Direct cost number (double)
directCostPerDay Direct cost per day number (double)
endDate The bill’s end date string (date-time)
globalUse Global use number (double)
globalUsePerDay Global use per day number (double)
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
nativeActualDemand Native actual demand number (double)
nativeActualDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeBilledDemand Native billed demand number (double)
nativeBilledDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeDemand Native demand number (double)
nativeDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUse Native use number (double)
nativeUsePerDay Native use per day number (double)
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
proportionalCost Proportional cost number (double)
proportionalCostPerDay Proportional cost per day number (double)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "beginDate": "2026-06-29",    "billId": 1,    "billingPeriod": 1,    "commonActualDemand": 1.0,    "commonActualDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "commonBilledDemand": 1.0,    "commonBilledDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "commonDemand": 1.0,    "commonDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "commonUse": 1.0,    "commonUsePerDay": 1.0,    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "days": 1,    "directCost": 1.0,    "directCostPerDay": 1.0,    "endDate": "2026-06-29",    "globalUse": 1.0,    "globalUsePerDay": 1.0,    "globalUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "nativeActualDemand": 1.0,    "nativeActualDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "nativeBilledDemand": 1.0,    "nativeBilledDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "nativeDemand": 1.0,    "nativeDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "nativeUse": 1.0,    "nativeUsePerDay": 1.0,    "nativeUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "proportionalCost": 1.0,    "proportionalCostPerDay": 1.0
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.